package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.LuckDrawCount;
import com.ym.mec.common.service.BaseService;

public interface LuckDrawCountService extends BaseService<Long, LuckDrawCount> {

	public LuckDrawCount getLock(Long userId);

	/**
	 * 免费赠送次数
	 * @param userId
	 * @param times
	 * @return
	 */
	public boolean freeGive(Long userId, int times);

	/**
	 * 更新抽奖次数
	 * @param userId
	 * @param times
	 * @return
	 */
	public boolean updateTimes(Long userId, int times);

	/**
	 * 更新抽奖金额
	 * @param userId
	 * @param amount 以分为单位
	 * @return
	 */
	public boolean updateAmount(Long userId, Long amount);
}
